# Uses of Class
org.eclipse.ui.dialogs.FileSystemElement

Packages that use FileSystemElement
Package
Description
org.eclipse.ui.dialogs
Classes for standard dialogs, wizards, and preference pages in the Eclipse Platform User Interface.
org.eclipse.ui.wizards.datatransfer
Provides the standard Import and Export wizards for moving resources into and out of the workspace.

## Uses of FileSystemElement in org.eclipse.ui.dialogs

Methods in org.eclipse.ui.dialogs that return FileSystemElement
Modifier and Type
Method
Description
`FileSystemElement`
FileSystemElement.`getParent()`
Return the parent of this element.
Methods in org.eclipse.ui.dialogs with parameters of type FileSystemElement
Modifier and Type
Method
Description
`void`
FileSystemElement.`addChild(FileSystemElement child)`
Adds the passed child to this object's collection of children.
`void`
FileSystemElement.`removeFolder(FileSystemElement child)`
Removes a sub-folder from this file system element.
`void`
FileSystemElement.`setParent(FileSystemElement element)`
Sets the parent of this file system element.
Constructors in org.eclipse.ui.dialogs with parameters of type FileSystemElement
Modifier
Constructor
Description
``
`FileSystemElement(String name, FileSystemElement parent, boolean isDirectory)`
Creates a new `FileSystemElement` and initializes it and its parent if applicable.

## Uses of FileSystemElement in org.eclipse.ui.wizards.datatransfer

Methods in org.eclipse.ui.wizards.datatransfer that return FileSystemElement
Modifier and Type
Method
Description
`protected FileSystemElement`
PopulateRootOperation.`createElement(FileSystemElement parent, Object fileSystemObject)`
Creates and returns a `FileSystemElement` if the specified file system object merits one.
`protected FileSystemElement`
PopulateRootOperation.`createElement(FileSystemElement parent, Object fileSystemObject, int depth)`
Creates and returns a `FileSystemElement` if the specified file system object merits one.
`protected FileSystemElement`
SelectFilesOperation.`createElement(FileSystemElement parent, Object fileSystemObject)`
Creates and returns a `FileSystemElement` if the specified file system object merits one.
`FileSystemElement`
SelectFilesOperation.`getResult()`
Returns the resulting root file system element.
Methods in org.eclipse.ui.wizards.datatransfer with parameters of type FileSystemElement
Modifier and Type
Method
Description
`protected FileSystemElement`
PopulateRootOperation.`createElement(FileSystemElement parent, Object fileSystemObject)`
Creates and returns a `FileSystemElement` if the specified file system object merits one.
`protected FileSystemElement`
PopulateRootOperation.`createElement(FileSystemElement parent, Object fileSystemObject, int depth)`
Creates and returns a `FileSystemElement` if the specified file system object merits one.
`protected FileSystemElement`
SelectFilesOperation.`createElement(FileSystemElement parent, Object fileSystemObject)`
Creates and returns a `FileSystemElement` if the specified file system object merits one.